# Copyright (c) 2005-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix /usr

Summary:		Various encoder plugins for gmerlin
Name:			gmerlin-encoders
Version:		1.0.0
Release:		1.pm.2.2
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			%{name}-%{version}.tar.gz
URL:			http://gmerlin.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	flac-devel >= 1.1.0
BuildRequires:	freetype2-devel
BuildRequires:	libfaac-devel
BuildRequires:	libffmpeg_oldabi-devel
BuildRequires:	libgmerlin-devel >= 0.4.2
BuildRequires:	libmp3lame-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libogg-devel >= 1.1
BuildRequires:	libvorbis-devel >= 1.0
BuildRequires:	libspeex-devel >= 1.0.4
BuildRequires:	libshout-devel
BuildRequires:	libtheora-devel >= 1.0alpha5
BuildRequires:	libx264-devel
BuildRequires:	libxml2-devel
BuildRequires:  mjpegtools-devel >= 1.9
BuildRequires:	pkgconfig >= 0.9
Requires:		gmerlin >= 0.4.2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

# pmbs ...
BuildRequires:	libcdio-devel

%description
Various encoder plugins for package gmerlin.


%lang_package

%prep
%setup -q -n %{name}-%{version}
#./autogen.sh
%{?suse_update_config:%{suse_update_config -f}}

%build
%suse_update_libdir configure
%configure

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%find_lang %{name}

%__rm -f %{buildroot}%{_libdir}/gmerlin/plugins/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files lang -f %{name}.lang

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/gmerlin
%dir %{_libdir}/gmerlin/plugins
%{_libdir}/gmerlin/plugins/*.so

%changelog
* Thu Mar 10 2011 toni@links2linux.de
- update to 1.0.0
* Sat Feb 27 2010 toni@links2linux.de
- update to 0.2.9
* Thu Feb 25 2010 toni@links2linux.de
- update to 0.2.8
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2.7
* Thu Dec 18 2008 toni@links2linux.de
- rebuild with new gavl/gmerlin packages
* Mon Dec  1 2008 toni@links2linux.de
- rebuild with new ffmpeg packages
* Tue Jul 22 2008 toni@links2linux.de
- update to 0.2.6
* Thu Jan 10 2008 toni@links2linux.de
- update to 0.2.5
* Sun Dec 30 2007 toni@links2linux.de
- rebuild with new libx264(-devel) package
* Wed Nov  7 2007 toni@links2linux.de
- rebuild with libdca-0.0.5
* Fri May 11 2007 toni@links2linux.de
- update to 0.2.4
* Sat Dec  9 2006 toni@links2linux.de
- update to 0.2.3
* Mon Sep 18 2006 toni@links2linux.de
- build for packman
* Wed Jul 12 2006 oc2pus@arcor.de - 0.2.2-0.oc2pus.1
- update to 0.2.2
* Wed Apr 12 2006 oc2pus@arcor.de - 0.2.1-0.oc2pus.2
- corrected file-rights
* Sat Feb  4 2006 oc2pus@arcor.de - 0.2.1-0.oc2pus.1
- update to 0.2.1
* Fri Nov 18 2005 oc2pus@arcor.de - 0.2.0-0.oc2pus.1
- initial version 0.2.0
